## libsrtp2 2.0.0+20170123

=== debian/changelog ===
libsrtp2 (2.0.0+20170123-1) unstable; urgency=medium

  [ upstream ]
  * Development snapshot from stable git branch.
    Highlights:
    + Add cast to unsigned int in call to printf.
    + avoid empty initializer braces.
    + Use ps -e  to ensure process is found.

  [ Jonas Smedegaard ]
  * Modernize Vcs-Browser field: Use git subdir (not cgit).
  * Re-enable patch 1005 to fix data alignment.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 24 Jan 2017 13:10:31 +0100

libsrtp2 (2.0.0+20161214-2) unstable; urgency=medium

  * Skip patch 1005, to hopefully fix FTBFS on several archs.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 Jan 2017 02:48:05 +0100

libsrtp2 (2.0.0+20161214-1) unstable; urgency=medium

  [ upstream ]
  * Development snapshot from stable git branch.
    Highlights:
    + Make srtp_driver compile for MIPS.
    + Rename srtp_crypto_kernel_replace_cipher_type as
      srtp_replace_cipher_type, and similarly for auth_type.
    + Install cipher.h, auth.h and crypto_types.h.
      Closes: Bug#850266. Thanks to Sebastian Dröge.
    + Changes for OpenSSL 1.1.0 compatibility.

  [ Jonas Smedegaard ]
  * Drop upstream cherry-picked patch since applied.
  * Unfuzz patch 1005.
  * Update copyright info:
    + Extend coverage of autotools files.
    + Extend coverage of Debian packaging.
  * Update watch file:
    + Bump to version 4.
    + Add usage comment.
    + Use github pattern from documentation.
  * Modernize git-buildpackage config: Filter any .git* file.
  * Update symbols: 2 renamed.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 17 Jan 2017 19:47:06 +0100

libsrtp2 (2.0.0-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Fork source package: srtp → libsrtp2.
  * Stop repackage upstream tarball: No longer includes non-DFSG files.
  * Declare compliance with Debian Policy 3.9.8.
  * Modernize Vcs-Git field: Use https protocol.
  * Update copyright info:
    + Extend coverage for main upstream author.
    + Extend copyright of packaging to cover current year.
    + Fix make License-Grant of packaging verbatim.
    + Drop superfluous disclaimers from GPL license grants.
    + Use License short-name FSFUL.
  * Drop patch now included upstream.
  * Unfuzz/update patches 1004 1005.
  * Cherry-pick patch from upstream to fix compilation on MIPS,
    replacing local patch 1003.
  * Move packaging to Debian VoIP Team. Demote myself to uploader.
  * Add symbols file, and enable use of pkgkde-symbolshelper.
    Build-depend on pkg-kde-tools.
  * Build-depend on libpcap0.8-dev (not transitional libpcap-dev).
  * Drop -utils package.
  * Have -dev package suggest -doc package.
  * Add lintian override for embedded-library false positive.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 22 Dec 2016 17:12:14 +0100

srtp (1.5.3~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New release.
    + Fix for CVE-2015-6360.
    + Makefile.in: Don't hard-code ar.
    + Various fixes for compiling with Visual Studio.
    + Do not duplicate shared library when installing.

  [ Jonas Smedegaard ]
  * Stop juggle library symlinks: Fixed upstream.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Nov 2015 21:08:25 +0100

srtp (1.5.2~dfsg-4) experimental; urgency=medium

  * Stop build-depend on libssl-dev or configure with --enable-openssl.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 30 Jul 2015 10:03:44 +0200

srtp (1.5.2~dfsg-3) experimental; urgency=medium

  * Temporarily(!) build-depend on libssl-dev and configure with
    --enable-openssl.
  * Use globbing in debhelper install list (handling also one test
    binary skipped when building with OpenSSL).

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 29 Jul 2015 12:54:42 +0200

srtp (1.5.2~dfsg-2) experimental; urgency=medium

  * Fix upstream cherry-picked patch.
    Thanks to Jeremy Lainé.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 29 Jul 2015 12:16:46 +0200

srtp (1.5.2~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).

  [ Daniel Pocock ]
  * Add myself to uploaders.

  [ Jonas Smedegaard ]
  * Acknowledge NMU, with a few adjustments:
    + Fix revert accidental change to .gitignore.
    + Refresh patch 2002 with shortening quilt options.
    Closes: bug##752970. Thanks to Jonathan Wiltshire.
  * Declare compliance with Debian Policy 3.9.6.
  * Fix use canonical URL in Vcs-Git.
  * Update Vcs-Browser URL to use cgit web frontend.
  * Update copyright info:
    + Extend coverage for main upstream author.
    + Extend coverage for myself to include current year.
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Drop accidental duplicate License section for GAP~configure.
  * Update hints so get-orig-source target fetches released tarballs.
  * Modernize git-buildpackage config: Drop "git-" prefix.
  * Bump debhelper compatibility level to 9.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.
  * Provide unversioned libsrtp-dev package (not versioned + virtual).
  * Install pkgconfig file.
    Build-depend on, and have -dev package depend on, pkg-config.
  * Include rtp_decoder in -utils package.
    Build-depend on, and have -dev package depend on, libpcap-dev.
  * Drop patches 1001 1002 1008 applied upstream.
    Unfuzz remaining patches.
  * Add patch cherry-picked upstream renaming SHA1 functions to avoid
    conflicts with e.g. polarssl.
    Closes: bug#764778. Thanks to Si Padmore.
  * Make library package multi-arch aware.
    Closes: bug#765173. Thanks to Michał Mirosław.
  * Drop fallback-build-dependencies for doxygen-latex: Unneeded even in
    oldstable.
  * Fix declare arch-indep build-dependency on doxygen-latex as such.
    Closes: Bug#628559. Thanks to George Danchev.
  * Add -dbg package.
  * Stop use or build-depend on obsolete hardening-includes.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Jun 2015 23:31:26 +0200

srtp (1.4.5~20130609~dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.

