=== debian/control ===
Source: libsrtp2
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>,
 Daniel Pocock <daniel@pocock.com.au>
Build-Depends: cdbs,
 autotools-dev,
 debhelper,
 dh-buildinfo,
 licensecheck,
 pkg-kde-tools,
 pkg-config,
 libpcap0.8-dev,
 procps,
 psmisc,
 miscfiles,
 d-shlibs
Build-Depends-Indep: doxygen-latex
Standards-Version: 3.9.8
Section: libs
Vcs-Git: https://anonscm.debian.org/git/pkg-voip/srtp.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-voip/srtp.git
Homepage: https://github.com/cisco/libsrtp

Package: libsrtp2-dev
Section: libdevel
Depends: ${cdbs:Depends},
 ${devlibs:Depends},
 ${misc:Depends},
 libsrtp2-1 (= ${binary:Version})
Suggests: libsrtp2-docs
Architecture: any
Description: Secure RTP (SRTP) and UST Reference Implementations - development files
 SRTP is a security profile for RTP that adds confidentiality, message
 authentication, and replay protection to that protocol. It is specified
 in RFC 3711.
 .
 LibSRTP provides an implementation of the Secure Real-time Transport
 Protocol (SRTP), the Universal Security Transform (UST), and a
 supporting cryptographic kernel.
 .
 This package contains the development headers and static libraries.

Package: libsrtp2-1
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
 ${shlibs:Depends}
Architecture: any
Multi-Arch: same
Description: Secure RTP (SRTP) and UST Reference Implementations - shared library
 SRTP is a security profile for RTP that adds confidentiality, message
 authentication, and replay protection to that protocol. It is specified
 in RFC 3711.
 .
 LibSRTP provides an implementation of the Secure Real-time Transport
 Protocol (SRTP), the Universal Security Transform (UST), and a
 supporting cryptographic kernel.
 .
 This package contains the shared libraries.

Package: libsrtp2-1-dbg
Section: debug
Priority: extra
Depends: ${misc:Depends},
 libsrtp2-1 (= ${binary:Version})
Architecture: any
Multi-Arch: same
Description: Secure RTP (SRTP) and UST Reference Implementations - debugging symbols
 SRTP is a security profile for RTP that adds confidentiality, message
 authentication, and replay protection to that protocol. It is specified
 in RFC 3711.
 .
 LibSRTP provides an implementation of the Secure Real-time Transport
 Protocol (SRTP), the Universal Security Transform (UST), and a
 supporting cryptographic kernel.
 .
 This package contains the debugging symbols.

Package: libsrtp2-docs
Section: doc
Depends: ${misc:Depends}
Architecture: all
Description: Secure RTP (SRTP) and UST Reference Implementations - documentation
 SRTP is a security profile for RTP that adds confidentiality, message
 authentication, and replay protection to that protocol. It is specified
 in RFC 3711.
 .
 LibSRTP provides an implementation of the Secure Real-time Transport
 Protocol (SRTP), the Universal Security Transform (UST), and a
 supporting cryptographic kernel.
 .
 This package contains API documentation.
