## libsrtp2 2.1.0

=== debian/changelog ===
libsrtp2 (2.1.0-1) unstable; urgency=medium

  [ upstream ]
  * New release.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 15 Jun 2017 14:23:53 +0200

libsrtp2 (2.0.0+20170607-1) unstable; urgency=medium

  [ upstream ]
  * Development snapshot from stable git branch.

  [ Jonas Smedegaard ]
  * Update symbols: 3 dropped. 21 added.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 12 Jun 2017 17:41:32 +0200

libsrtp2 (2.0.0+20170516-1) experimental; urgency=medium

  [ upstream ]
  * Development snapshot from stable git branch.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Extend coverage for main upstream author.
    + Add testsuite file, licensed Expat.
  * Unfuzz patches.
  * Stop put aside documentation during build: No longer shipped
    upstream.
  * Modernize cdbs: Do copyright-check in maintainer script (not during
    build).
  * Update package relations:
    + Relax to build-depend unversioned on cdbs.
    + Stop build-depend on licensecheck libregexp-assemble-perl
      libimage-exiftool-perl libfont-ttf-perl.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 May 2017 09:15:50 +0200

libsrtp2 (2.0.0+20170223-1) experimental; urgency=medium

  [ upstream ]
  * Development snapshot from stable git branch.
    Highlights:
    + Support setting tag and key sizes based on RFC 4568 specification.
    + Make the Master Keys dynamic instead of limiting to 4 master keys.
    + Fix RTCP not encrypted only authenticated by AES GCM.
    + Fix memory leak.
    + Change crypto/replay/rdbx.c return types of type int to int32_t.
    + Report ssrc instead of srtp_stream_t in srtp_event_data_t
    + Improve OpenSSL discovery and linking.
    + Replace hardcoded CFLAGS with compiler checks.
    + Simplify logging of errors and debug.
    + Use OPENSSL_cleanse() to set memory to zero, when available.
    + Add simple error checking in timing test to avoid false results.
    + Don't use underscore as leading character in header guards.
    + Free enc_buf if an error occurs
    + Add missing srtp_cipher_dealloc calls when test fails.
    + Change documentation from PDF to HTML.

  [ Jonas Smedegaard ]
  * Fix Vcs-* URLs (was pointing to separate libsrtp 1.x git).
    Closes: Bug#856819. Thanks to Andrey Gursky.
  * Drop upstream cherry-picked patch since applied.
  * Drop patches 1007 2002, obsoleted by upstream documentation changes.
  * Unfuzz patches 1004 1005.
  * Adapt rules to refactored upstream build routines.
    Build-depend on doxygen (not doxygen-latex).
  * Modernize cdbs use:
    + Extract copyrigh/licensing from PNG files.
    + Use cdbs to put aside upstream cruft during build.
    Tighten to build-depend versioned on cdbs.
    Build-depend on + libregexp-assemble-perl libimage-exiftool-perl
    libfont-ttf-perl.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 05 Mar 2017 15:41:00 +0100

libsrtp2 (2.0.0+20170123-2) experimental; urgency=medium

  * Add patch chrry-picked upstream to fix return types of type int to
    int32_t.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 27 Jan 2017 15:05:51 +0100
