=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
  autotools-dev,
  debhelper,
  dh-buildinfo,
- licensecheck,
  pkg-kde-tools,
  pkg-config,
  libpcap0.8-dev,
@@ -15,11 +14,11 @@
  psmisc,
  miscfiles,
  d-shlibs
-Build-Depends-Indep: doxygen-latex
+Build-Depends-Indep: doxygen
 Standards-Version: 3.9.8
 Section: libs
-Vcs-Git: https://anonscm.debian.org/git/pkg-voip/srtp.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-voip/srtp.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-voip/libsrtp2.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-voip/libsrtp2.git
 Homepage: https://github.com/cisco/libsrtp
 
 Package: libsrtp2-dev
