=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,6 @@
 
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/rules/upstream-tarball.mk
 
 CDBS_BUILD_DEPENDS +=, pkg-kde-tools
@@ -77,30 +76,16 @@
 DEB_MAKE_CHECK_TARGET = runtest \
  LD_LIBRARY_PATH="${LD_LIBRARY_PATH}:$(realpath $(DEB_SRCDIR))"
 
-# preserve (and restore) upstream-shipped files tampered with
-upstreamtmpfiles = doc/Makefile crypto/Makefile doc/Doxyfile
-pre-build:: debian/stamp-upstreamtmpstuff
-debian/stamp-upstreamtmpstuff: debian/stamp-copyright-check
-	for file in $(upstreamtmpfiles); do \
-		[ ! -e $$file ] || cp -np $$file $$file.upstream; \
-	done
+# generate (and cleanup) documentation
+#  * TODO: Declare build-dependency here when supported by CDBS
+CDBS_BUILD_DEPENDS_INDEP +=, doxygen
+DEB_INSTALL_DOCS_$(pkg-doc) += doc/html
+build/$(pkg-doc):: debian/stamp-make-docs
+debian/stamp-make-docs:
+	$(DEB_MAKE_INVOKE) $(libname)doc
 	touch $@
 clean::
-	for file in $(upstreamtmpfiles); do \
-		[ ! -e $$file.upstream ] || mv -f $$file.upstream $$file; \
-	done
-	rm -f debian/stamp-upstreamtmpstuff
-
-# generate (and cleanup) documentation
-#  * TODO: Declare build-dependency here when supported by CDBS
-CDBS_BUILD_DEPENDS_INDEP +=, doxygen-latex
-DEB_INSTALL_DOCS_$(pkg-doc) += doc/*.txt doc/*.pdf
-DEB_COMPRESS_EXCLUDE_$(pkg-doc) += .pdf
-build/$(pkg-doc)::
-	[ -f debian/stamp-make-docs ] || $(DEB_MAKE_INVOKE) $(libname)doc
-	touch debian/stamp-make-docs
-clean::
-	rm -f doc/*.pdf
+	rm -rf doc/html
 	rm -f debian/stamp-make-docs
 
 # Ensure test script is executable
@@ -121,7 +106,7 @@
 
 # cleanup stuff missed upstream
 clean::
-	rm -f $(libname).pc $(libname).so.$(major) doc/doxygen_sqlite3.db crypto/Makefile crypto/test/env doc/Makefile
+	rm -f $(libname).pc $(libname).so.$(major) crypto/Makefile crypto/test/env
 
 # relax symbols check for now...
 export DPKG_GENSYMBOLS_CHECK_LEVEL=0
