## libsrtp2 2.2.0

=== debian/changelog ===
libsrtp2 (2.2.0-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Fix (S)RTP for big endian machines.
      Closes: Bug#857898. Thanks to Adrian Bunk.

  [ Jonas Smedegaard ]
  * Tighten lintian overrides regarding License-Reference.
  * Unfuzz patches 1004 1005.
  * Stop track upstream source with CDBS (use gpb --uscan).
  * Use package priority optional (not extra).
  * Update Vcs-* fields: Source moved to Salsa.
  * Declare compliance with Debian Policy 4.1.4.
  * Update symbols: 3 dropped. 4 added.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 01 Jun 2018 12:52:39 +0200
