=== debian/control ===
--- 
+++ 
@@ -15,10 +15,10 @@
  miscfiles,
  d-shlibs
 Build-Depends-Indep: doxygen
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Section: libs
-Vcs-Git: https://anonscm.debian.org/git/pkg-voip/libsrtp2.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-voip/libsrtp2.git
+Vcs-Git: https://salsa.debian.org/pkg-voip-team/libsrtp2.git
+Vcs-Browser: https://salsa.debian.org/pkg-voip-team/libsrtp2.git
 Homepage: https://github.com/cisco/libsrtp
 
 Package: libsrtp2-dev
@@ -60,7 +60,6 @@
 
 Package: libsrtp2-1-dbg
 Section: debug
-Priority: extra
 Depends: ${misc:Depends},
  libsrtp2-1 (= ${binary:Version})
 Architecture: any
