=== debian/rules ===
--- 
+++ 
@@ -41,9 +41,6 @@
 include /usr/share/pkg-kde-tools/makefiles/1/cdbs/symbolshelper.mk
 
 libname = $(stem)
-
-DEB_UPSTREAM_URL = https://github.com/cisco/libsrtp/archive
-DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
 
 # Needed by upstream build and (always) at (development) runtime
 deps-dev = pkg-config, libpcap0.8-dev
