## libsrtp2 2.3.0

=== debian/changelog ===
libsrtp2 (2.3.0-2) unstable; urgency=medium

  * Release targeted unstable.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 27 Dec 2019 22:04:30 +0100

libsrtp2 (2.3.0-1) experimental; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * Fix use canonical Vcs-Browser URL.
  * skip copyright-check fuzzer corpus
  * use https protocol for copyright file format URL
  * unfuzz patches
  * drop Daniel Pocock as uploader;
    thanks for your past contributions
  * stop relax symbols check
  * update symbols file:
    + drop commented out obsolete symbols
    + flag as optional symbols not declared in public headers
    + drop 1 private symbol
    + add 9 public sysmbols
    + add 3 private symbols
  * add patch 2002 to avoid privacy breach in documentation
  * reference DEP-3 documentation in patch headers

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 23 Dec 2019 17:47:06 +0100
