=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Priority: optional
 Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>,
- Daniel Pocock <daniel@pocock.com.au>
 Build-Depends: cdbs,
  autotools-dev,
  debhelper,
@@ -23,10 +22,12 @@
 
 Package: libsrtp2-dev
 Section: libdevel
-Depends: ${cdbs:Depends},
+Depends:
  ${devlibs:Depends},
  ${misc:Depends},
- libsrtp2-1 (= ${binary:Version})
+ libpcap0.8-dev,
+ libsrtp2-1 (= ${binary:Version}),
+ pkg-config,
 Suggests: libsrtp2-docs
 Architecture: any
 Description: Secure RTP (SRTP) and UST Reference Implementations - development files
