=== debian/changelog ===
libsrtp2 (2.4.2-2) unstable; urgency=medium

  * fix stop depend (only build-depend) on libpcap0.8-dev
    (used only for tests);
    closes: bug#996979, thanks to Alexander Traud
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 22 Oct 2021 21:08:54 +0200

libsrtp2 (2.4.2-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * use semantic newlines in long description and copyright fields
  * unfuzz patch 1005

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 07 Oct 2021 23:40:37 +0200

libsrtp2 (2.4.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * simplify source helper script copyright-check
  * update copyright info:
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + update coverage
  * update symbols file

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 13 Sep 2021 23:59:39 +0200

libsrtp2 (2.4.0-1) experimental; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patches cherry-picked upstream since applied
  * update and unfuzz patches
  * declare compliance with Debian Policy 4.6.0

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 Aug 2021 16:03:15 +0200

libsrtp2 (2.3.0-5) unstable; urgency=medium

  * add patch cherry-picked upstream
    to support running against nss >= 3.52;
    closes: bug#963363, thanks to Juhani Numminen

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 07 Feb 2021 04:11:43 +0100

libsrtp2 (2.3.0-4) unstable; urgency=medium

  * use NSS crypto;
    build-depend on libnss3-dev;
    tighten build-dependency on d-shlibs
  * update symbols:
    + 5 optional symbols dropped
    + 4 optional symbols added

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 06 Apr 2020 17:29:46 +0200

libsrtp2 (2.3.0-3) unstable; urgency=medium

  * add patch cherry-picked upstream
    to fix building with gcc-10
  * simplify rules: stop build-depend on dh-buildinfo
  * use debhelper compatibility level 10 (not 9);
    stop build-depend explicitly on autotools-dev
  * declare compliance with Debian Policy 4.5.0
  * set Rules-Requires-Root: no
  * watch:
    + simplify regular expression;
    + use dversionmangle=auto (although currently dormant);
    + rewrite usage comment

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 25 Mar 2020 15:46:35 +0100
