=== debian/control ===
Source: libsrtp2
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>,
Build-Depends: cdbs,
 debhelper,
 pkg-kde-tools,
 pkg-config,
 libnss3-dev,
 libpcap0.8-dev <!nocheck>,
 procps,
 psmisc,
 miscfiles,
 d-shlibs (>= 0.91~),
Build-Depends-Indep: doxygen
Standards-Version: 4.6.0
Section: libs
Vcs-Git: https://salsa.debian.org/pkg-voip-team/libsrtp2.git
Vcs-Browser: https://salsa.debian.org/pkg-voip-team/libsrtp2.git
Homepage: https://github.com/cisco/libsrtp
Rules-Requires-Root: no

Package: libsrtp2-dev
Section: libdevel
Depends:
 ${devlibs:Depends},
 ${misc:Depends},
 libsrtp2-1 (= ${binary:Version}),
 pkg-config,
Suggests: libsrtp2-docs
Architecture: any
Description: Secure RTP (SRTP) and UST Reference Implementations - development files
 SRTP is a security profile for RTP
 that adds confidentiality, message authentication, and replay protection
 to that protocol.
 It is specified in RFC 3711.
 .
 LibSRTP provides an implementation
 of the Secure Real-time Transport Protocol (SRTP),
 the Universal Security Transform (UST),
 and a supporting cryptographic kernel.
 .
 This package contains the development headers and static libraries.

Package: libsrtp2-1
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
 ${shlibs:Depends}
Architecture: any
Multi-Arch: same
Description: Secure RTP (SRTP) and UST Reference Implementations - shared library
 SRTP is a security profile for RTP
 that adds confidentiality, message authentication, and replay protection
 to that protocol.
 It is specified in RFC 3711.
 .
 LibSRTP provides an implementation
 of the Secure Real-time Transport Protocol (SRTP),
 the Universal Security Transform (UST),
 and a supporting cryptographic kernel.
 .
 This package contains the shared libraries.

Package: libsrtp2-1-dbg
Section: debug
Depends: ${misc:Depends},
 libsrtp2-1 (= ${binary:Version})
Architecture: any
Multi-Arch: same
Description: Secure RTP (SRTP) and UST Reference Implementations - debugging symbols
 SRTP is a security profile for RTP
 that adds confidentiality, message authentication,
 and replay protection to that protocol.
 It is specified in RFC 3711.
 .
 LibSRTP provides an implementation of the Secure Real-time Transport
 Protocol (SRTP), the Universal Security Transform (UST), and a
 supporting cryptographic kernel.
 .
 This package contains the debugging symbols.

Package: libsrtp2-docs
Section: doc
Depends: ${misc:Depends}
Architecture: all
Description: Secure RTP (SRTP) and UST Reference Implementations - documentation
 SRTP is a security profile for RTP that adds confidentiality, message
 authentication, and replay protection to that protocol. It is specified
 in RFC 3711.
 .
 LibSRTP provides an implementation
 of the Secure Real-time Transport Protocol (SRTP),
 the Universal Security Transform (UST),
 and a supporting cryptographic kernel.
 .
 This package contains API documentation.
