=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,8 @@
 DEB_CONFIGURE_EXTRA_FLAGS += --disable-debug
 endif
 DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
+
+DEB_CONFIGURE_EXTRA_FLAGS += --enable-nss
 
 ifeq ($(DEB_HOST_ARCH_CPU),sparc)
 CFLAGS += -DFORCE_64BIT_ALIGN
